﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFrameworks>net462;netstandard2.0</TargetFrameworks>
  </PropertyGroup>
  <PropertyGroup>
    <VersionSuffix>1.$([System.DateTime]::Now.ToString(yy)).$([System.DateTime]::Now.ToString(MMdd)).$([System.DateTime]::Now.ToString(HHmm))</VersionSuffix>
    <AssemblyVersion Condition=" '$(VersionSuffix)' == '' ">0.0.0.1</AssemblyVersion>
    <AssemblyVersion Condition=" '$(VersionSuffix)' != '' ">$(VersionSuffix)</AssemblyVersion>
    <Version Condition=" '$(VersionSuffix)' == '' ">0.0.1.0</Version>
    <Version Condition=" '$(VersionSuffix)' != '' ">$(VersionSuffix)</Version>
    <Company>Citigo</Company>
    <Authors>Citigo</Authors>
    <Copyright>Copyright © Citigo 2020</Copyright>
	 <CodeAnalysisRuleSet>disable.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup Condition=" '$(TargetFramework)' == 'netstandard2.0'">
    <PackageReference Include="RestSharp" Version="106.6.9" />
    <PackageReference Include="ServiceStack.Core" Version="5.4.0" />
    <PackageReference Include="ServiceStack.Text.Core" Version="5.4.0" />
    <PackageReference Include="ServiceStack.Interfaces.Core" Version="5.4.0" />
  </ItemGroup>
  <ItemGroup Condition=" '$(TargetFramework)' == 'net462'">
    <PackageReference Include="RestSharp" Version="105.2.3" />
  </ItemGroup>
  <ItemGroup>
    <None Remove="GrpcConfig\config.proto" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="DataAnnotationsValidatorNetStandard" Version="1.0.3" />
    <PackageReference Include="Grpc.Core" Version="2.43.0" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="2.1.0" />
    <PackageReference Include="Newtonsoft.Json" Version="10.0.3" />
    <PackageReference Include="Polly" Version="7.1.0" />
    <PackageReference Include="Serilog" Version="2.8.0" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="4.5.0" />

    <PackageReference Include="Google.Protobuf" Version="3.19.2" />
    <PackageReference Include="Grpc.Net.Client" Version="2.41.0" />
    <PackageReference Include="Grpc.Tools" Version="2.43.0" />

  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\Api\InternalApi\Demo.OmniChannel.Sdk\Demo.OmniChannel.Sdk.csproj" />
    <ProjectReference Include="..\..\Utilities\Demo.OmniChannel.Utilities\Demo.OmniChannel.Utilities.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Protobuf Include="GrpcConfig\config.proto" GrpcServices="Client" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="LazopSdk">
      <HintPath>..\..\..\Components\LazopSdk.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.AspNetCore.JsonPatch">
      <HintPath>C:\Program Files\dotnet\sdk\NuGetFallbackFolder\microsoft.aspnetcore.jsonpatch\2.1.1\lib\netstandard2.0\Microsoft.AspNetCore.JsonPatch.dll</HintPath>
    </Reference>
  </ItemGroup>
</Project>
